ServerPreparedStatement.BindValue
Date: 2018-05-06

com.mysql.jdbc

## Class ServerPreparedStatement.BindValue

- java.lang.Object
- - com.mysql.jdbc.ServerPreparedStatement.BindValue

- Enclosing class:
    ServerPreparedStatement

      public static class ServerPreparedStatement.BindValue
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bindLength`
    `long` | `boundBeforeExecutionNum`
    `int` | `bufferType`
    `double` | `doubleBinding`
    `float` | `floatBinding`
    `boolean` | `isLongData`
    `boolean` | `isNull`
    `boolean` | `isSet`
    `long` | `longBinding`
    `java.lang.Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerPreparedStatement.BindValue()`
    `ServerPreparedStatement.BindValue(ServerPreparedStatement.BindValue copyMe)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) long` | `getBoundLength()`
    `(package private) void` | `reset()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(boolean quoteIfNeeded)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### boundBeforeExecutionNum

          public long boundBeforeExecutionNum

    - #### bindLength

          public long bindLength

    - #### bufferType

          public int bufferType

    - #### doubleBinding

          public double doubleBinding

    - #### floatBinding

          public float floatBinding

    - #### isLongData

          public boolean isLongData

    - #### isNull

          public boolean isNull

    - #### isSet

          public boolean isSet

    - #### longBinding

          public long longBinding

    - #### value

          public java.lang.Object value

  - ### Constructor Detail

    - #### ServerPreparedStatement.BindValue

          ServerPreparedStatement.BindValue()

    - #### ServerPreparedStatement.BindValue

          ServerPreparedStatement.BindValue(ServerPreparedStatement.BindValue copyMe)

  - ### Method Detail

    - #### reset

          void reset()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(boolean quoteIfNeeded)

    - #### getBoundLength

          long getBoundLength()